def AND(argList):
    for arg in argList:
        if not arg:
            return 0.0
    return 1.0

def FALSE(argList):
    return 0.0

def NOT(argList):
    if not argList[0]:
        return 1.0
    return 0.0

def OR(argList):
    for arg in argList:
        if arg:
            return 1.0
    return 0.0

def TRUE(argList):
    return 1.0
